### Hierarchy

- IJenkinsObject
  - IJenkinsView

### Implemented by

- JenkinsView

## Index

### Properties

- _class
- description
- jobs
- name
- property
- url

### Methods

- fromJson
- fromJsonString
- getJsonData

## Properties

### _class

_class: string

Inherited from IJenkinsObject._class

- Defined in jenkins-api-ts-typings.ts:23

### description

description: string

- Defined in jenkins-api-ts-typings.ts:160

### jobs

jobs: Array<IJenkinsJob>

- Defined in jenkins-api-ts-typings.ts:161

### name

name: string

- Defined in jenkins-api-ts-typings.ts:157

### property

property: Array<any>

- Defined in jenkins-api-ts-typings.ts:163

### url

url: string

- Defined in jenkins-api-ts-typings.ts:158

## Methods

### fromJson

- fromJson(json: JSON): void

- Inherited from IJenkinsObject.fromJson

  - Defined in jenkins-api-ts-typings.ts:25

  #### Parameters

  - ##### json: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Inherited from IJenkinsObject.fromJsonString

  - Defined in jenkins-api-ts-typings.ts:26

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Inherited from IJenkinsObject.getJsonData

  - Defined in jenkins-api-ts-typings.ts:24

  #### Returns string

Generated using TypeDoc